<?php

namespace Podeli\Payment\Models;

class Item extends Entity
{

    public function setId(string $id)
    {
        $this->data['id'] = strval($id);
        return $this;
    }

    public function setName(string $name)
    {
        $this->data['name'] = $name;
        return $this;
    }

    public function setQuantity($quantity)
    {
        $this->data['quantity'] = $quantity;
        return $this;
    }

    public function setAmount(float $amount)
    {
        $this->data['amount'] = number_format($amount, 2, '.', '');
        return $this;
    }

    public function getAmount()
    {
        return $this->data['amount'];
    }

    public function getQuantity()
    {
        return $this->data['quantity'];
    }

    public function setArticle($article)
    {
        $this->data['article'] = $article;
        return $this;
    }

    public function setPrepaidAmount(float $amount)
    {
        $this->data['prepaidAmount'] = number_format($amount, 2, '.', '');
        return $this;
    }

}
